Index: src/unittests/MoleculeDescriptorTest.cpp
===================================================================
--- src/unittests/MoleculeDescriptorTest.cpp	(revision 57adc722ba6d4dbc04bdd2fa77d696ce701237a7)
+++ src/unittests/MoleculeDescriptorTest.cpp	(revision cd032d428ec733430510dfedd7dc4bcf1df63fd4)
@@ -29,7 +29,7 @@
 // set up and tear down
 void MoleculeDescriptorTest::setUp(){
-  World::get();
+  World::getInstance();
   for(int i=0;i<MOLECULE_COUNT;++i){
-    molecules[i]= World::get()->createMolecule();
+    molecules[i]= World::getInstance().createMolecule();
     moleculeIds[i]= molecules[i]->getId();
   }
@@ -37,5 +37,5 @@
 
 void MoleculeDescriptorTest::tearDown(){
-  World::destroy();
+  World::purgeInstance();
 }
 
@@ -73,9 +73,9 @@
 
 void MoleculeDescriptorTest::MoleculeBaseSetsTest(){
-  std::vector<molecule*> allMolecules = World::get()->getAllMolecules(AllMolecules());
+  std::vector<molecule*> allMolecules = World::getInstance().getAllMolecules(AllMolecules());
   CPPUNIT_ASSERT_EQUAL( true , hasAllMolecules(allMolecules,moleculeIds));
   CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateMolecules(allMolecules));
 
-  std::vector<molecule*> noMolecules = World::get()->getAllMolecules(NoMolecules());
+  std::vector<molecule*> noMolecules = World::getInstance().getAllMolecules(NoMolecules());
   CPPUNIT_ASSERT_EQUAL( true , noMolecules.empty());
 }
@@ -83,11 +83,11 @@
   // test Molecules from boundaries and middle of the set
   molecule* testMolecule;
-  testMolecule = World::get()->getMolecule(MoleculeById(moleculeIds[0]));
+  testMolecule = World::getInstance().getMolecule(MoleculeById(moleculeIds[0]));
   CPPUNIT_ASSERT(testMolecule);
   CPPUNIT_ASSERT_EQUAL( moleculeIds[0], testMolecule->getId());
-  testMolecule = World::get()->getMolecule(MoleculeById(moleculeIds[MOLECULE_COUNT/2]));
+  testMolecule = World::getInstance().getMolecule(MoleculeById(moleculeIds[MOLECULE_COUNT/2]));
   CPPUNIT_ASSERT(testMolecule);
   CPPUNIT_ASSERT_EQUAL( moleculeIds[MOLECULE_COUNT/2], testMolecule->getId());
-  testMolecule = World::get()->getMolecule(MoleculeById(moleculeIds[MOLECULE_COUNT-1]));
+  testMolecule = World::getInstance().getMolecule(MoleculeById(moleculeIds[MOLECULE_COUNT-1]));
   CPPUNIT_ASSERT(testMolecule);
   CPPUNIT_ASSERT_EQUAL( moleculeIds[MOLECULE_COUNT-1], testMolecule->getId());
@@ -103,5 +103,5 @@
   }
   // test from outside of set
-  testMolecule = World::get()->getMolecule(MoleculeById(outsideId));
+  testMolecule = World::getInstance().getMolecule(MoleculeById(outsideId));
   CPPUNIT_ASSERT(!testMolecule);
 }
@@ -109,5 +109,5 @@
   // test some elementary set operations
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(AllMolecules()||NoMolecules());
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(AllMolecules()||NoMolecules());
     CPPUNIT_ASSERT_EQUAL( true , hasAllMolecules(testMolecules,moleculeIds));
     CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateMolecules(testMolecules));
@@ -115,5 +115,5 @@
 
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(NoMolecules()||AllMolecules());
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(NoMolecules()||AllMolecules());
     CPPUNIT_ASSERT_EQUAL( true , hasAllMolecules(testMolecules,moleculeIds));
     CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateMolecules(testMolecules));
@@ -121,20 +121,20 @@
 
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(NoMolecules()&&AllMolecules());
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(NoMolecules()&&AllMolecules());
     CPPUNIT_ASSERT_EQUAL( true , testMolecules.empty());
   }
 
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(AllMolecules()&&NoMolecules());
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(AllMolecules()&&NoMolecules());
     CPPUNIT_ASSERT_EQUAL( true , testMolecules.empty());
   }
 
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(!AllMolecules());
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(!AllMolecules());
     CPPUNIT_ASSERT_EQUAL( true , testMolecules.empty());
   }
 
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(!NoMolecules());
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(!NoMolecules());
     CPPUNIT_ASSERT_EQUAL( true , hasAllMolecules(testMolecules,moleculeIds));
     CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateMolecules(testMolecules));
@@ -143,5 +143,5 @@
   // exclude and include some molecules
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(AllMolecules()&&(!MoleculeById(moleculeIds[MOLECULE_COUNT/2])));
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(AllMolecules()&&(!MoleculeById(moleculeIds[MOLECULE_COUNT/2])));
     std::set<moleculeId_t> excluded;
     excluded.insert(moleculeIds[MOLECULE_COUNT/2]);
@@ -152,5 +152,5 @@
 
   {
-    std::vector<molecule*> testMolecules = World::get()->getAllMolecules(NoMolecules()||(MoleculeById(moleculeIds[MOLECULE_COUNT/2])));
+    std::vector<molecule*> testMolecules = World::getInstance().getAllMolecules(NoMolecules()||(MoleculeById(moleculeIds[MOLECULE_COUNT/2])));
     CPPUNIT_ASSERT_EQUAL( (size_t)1, testMolecules.size());
     CPPUNIT_ASSERT_EQUAL( moleculeIds[MOLECULE_COUNT/2], testMolecules[0]->getId());
